(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', './ButtonGroup', './IconButton'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('./ButtonGroup'), require('./IconButton'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.ButtonGroup, global.IconButton);
    global.BlockStyleControls = mod.exports;
  }
})(this, function (exports, _react, _ButtonGroup, _IconButton) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _ButtonGroup2 = _interopRequireDefault(_ButtonGroup);

  var _IconButton2 = _interopRequireDefault(_IconButton);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  var BlockStyleControls = function BlockStyleControls(_ref) {
    var editorState = _ref.editorState;
    var onToggle = _ref.onToggle;
    var blockTypes = _ref.blockTypes;

    var editorSelection = editorState.getSelection().getStartKey();
    var selectionStyle = editorState.getCurrentContent().getBlockForKey(editorSelection).getType();

    return _react2.default.createElement(
      _ButtonGroup2.default,
      null,
      blockTypes.map(function (type) {
        return _react2.default.createElement(_IconButton2.default, {
          key: type.icon,
          active: type.style === selectionStyle,
          icon: type.icon,
          onToggle: onToggle,
          style: type.style
        });
      })
    );
  };

  exports.default = BlockStyleControls;
});