(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'filepicker-js', 'draft-js', './ButtonGroup', './IconButton'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('filepicker-js'), require('draft-js'), require('./ButtonGroup'), require('./IconButton'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.filepickerJs, global.draftJs, global.ButtonGroup, global.IconButton);
    global.ImageControls = mod.exports;
  }
})(this, function (exports, _react, _filepickerJs, _draftJs, _ButtonGroup, _IconButton) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _filepickerJs2 = _interopRequireDefault(_filepickerJs);

  var _ButtonGroup2 = _interopRequireDefault(_ButtonGroup);

  var _IconButton2 = _interopRequireDefault(_IconButton);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  function _possibleConstructorReturn(self, call) {
    if (!self) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return call && (typeof call === "object" || typeof call === "function") ? call : self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
  }

  var ImageControls = function (_React$Component) {
    _inherits(ImageControls, _React$Component);

    function ImageControls(props) {
      _classCallCheck(this, ImageControls);

      return _possibleConstructorReturn(this, Object.getPrototypeOf(ImageControls).call(this, props));
    }

    _createClass(ImageControls, [{
      key: 'addImage',
      value: function addImage() {
        var _props = this.props;
        var insertMedia = _props.insertMedia;
        var filePickerKey = _props.filePickerKey;

        _filepickerJs2.default.setKey(filePickerKey);
        _filepickerJs2.default.pickAndStore({
          mimetype: 'image/*',
          multiple: false
        }, {}, function (Blobs) {
          var entityKey = _draftJs.Entity.create('IMAGE', 'IMMUTABLE', { src: Blobs[0].url });
          insertMedia(entityKey);
        });
      }
    }, {
      key: 'render',
      value: function render() {
        return _react2.default.createElement(
          _ButtonGroup2.default,
          null,
          _react2.default.createElement(_IconButton2.default, {
            onToggle: this.addImage.bind(this),
            icon: 'camera'
          })
        );
      }
    }]);

    return ImageControls;
  }(_react2.default.Component);

  exports.default = ImageControls;
});