(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'draft-js'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('draft-js'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.draftJs);
    global.Link = mod.exports;
  }
})(this, function (exports, _react, _draftJs) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  var styles = {
    a: {
      pointerEvents: 'none'
    }
  };

  var Link = function Link(_ref) {
    var entityKey = _ref.entityKey;
    var children = _ref.children;
    return _react2.default.createElement(
      'a',
      { style: styles.a, href: _draftJs.Entity.get(entityKey).getData() },
      children
    );
  };

  exports.default = Link;
});