(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', './ButtonGroup', './IconButton'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('./ButtonGroup'), require('./IconButton'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.ButtonGroup, global.IconButton);
    global.LinkControls = mod.exports;
  }
})(this, function (exports, _react, _ButtonGroup, _IconButton) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _ButtonGroup2 = _interopRequireDefault(_ButtonGroup);

  var _IconButton2 = _interopRequireDefault(_IconButton);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  function _possibleConstructorReturn(self, call) {
    if (!self) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return call && (typeof call === "object" || typeof call === "function") ? call : self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
  }

  var LinkControls = function (_React$Component) {
    _inherits(LinkControls, _React$Component);

    function LinkControls(props) {
      _classCallCheck(this, LinkControls);

      var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(LinkControls).call(this, props));

      _this.state = {
        urlValue: ''
      };

      _this.onURLChange = function (event) {
        return _this.setState({ urlValue: event.target.value });
      };
      _this.confirmLink = function (event) {
        event.preventDefault();
        _this.props.confirmLink(_this.state.urlValue);
        $('.reveal').foundation('close');
        _this.setState({
          urlValue: ''
        });
      };
      _this.removeLink = function () {
        _this.props.removeLink();
      };
      return _this;
    }

    _createClass(LinkControls, [{
      key: 'promptForLink',
      value: function promptForLink() {
        var _this2 = this;

        var editorState = this.props.editorState;

        var selection = editorState.getSelection();
        if (!selection.isCollapsed()) {
          $('.reveal').foundation('open');
          this.setState({
            urlValue: ''
          }, function () {
            setTimeout(function () {
              return _this2.refs.url.focus();
            }, 0);
          });
        }
      }
    }, {
      key: 'hidePrompt',
      value: function hidePrompt(event) {
        event.preventDefault();
        $('.reveal').foundation('close');
      }
    }, {
      key: 'onLinkInputKeyDown',
      value: function onLinkInputKeyDown(event) {
        if (event.which === 13) {
          this.confirmLink(event);
        }
      }
    }, {
      key: 'render',
      value: function render() {
        return _react2.default.createElement(
          _ButtonGroup2.default,
          null,
          _react2.default.createElement(
            'div',
            { className: 'reveal', id: 'linkModal', 'data-reveal': true },
            _react2.default.createElement(
              'h1',
              null,
              'Insert Link'
            ),
            _react2.default.createElement('input', {
              onChange: this.onURLChange,
              ref: 'url',
              type: 'text',
              value: this.state.urlValue,
              onKeyDown: this.onLinkInputKeyDown.bind(this),
              placeholder: 'http://www.example.com'
            }),
            _react2.default.createElement(
              'div',
              { className: 'expanded button-group' },
              _react2.default.createElement(
                'button',
                {
                  type: 'button',
                  className: 'secondary button',
                  onMouseDown: this.hidePrompt.bind(this)
                },
                'Cancel'
              ),
              _react2.default.createElement(
                'button',
                {
                  type: 'button',
                  className: 'button',
                  onMouseDown: this.confirmLink
                },
                'Accept'
              )
            )
          ),
          _react2.default.createElement(_IconButton2.default, {
            onToggle: this.promptForLink.bind(this),
            icon: 'link',
            active: false
          }),
          _react2.default.createElement(_IconButton2.default, {
            onToggle: this.removeLink,
            icon: 'chain-broken',
            active: false
          })
        );
      }
    }]);

    return LinkControls;
  }(_react2.default.Component);

  exports.default = LinkControls;
});