import React from 'react';
import ButtonGroup from './ButtonGroup';
import IconButton from './IconButton';

const BlockStyleControls = ({ editorState, onToggle, blockTypes }) => {
  const editorSelection = editorState.getSelection().getStartKey();
  const selectionStyle = editorState.getCurrentContent().getBlockForKey(editorSelection).getType();

  return (
    <ButtonGroup>
      {blockTypes.map((type) =>
        <IconButton
          key={type.icon}
          active={type.style === selectionStyle}
          icon={type.icon}
          onToggle={onToggle}
          style={type.style}
        />
      )}
    </ButtonGroup>
  );
};

export default BlockStyleControls;
