import React from 'react';

class IconButton extends React.Component {
  constructor(props) {
    super(props);

    this.onToggle = (event) => {
      event.preventDefault();
      if (this.props.style) {
        this.props.onToggle(this.props.style);
      } else {
        this.props.onToggle();
      }
    };
  }

  render() {
    const { active, icon } = this.props;
    return (
      <span className={`${active ? '' : 'secondary'} button`} onMouseDown={this.onToggle}>
        <i className={`fa fa-${icon}`}/>
      </span>
    );
  }
}

export default IconButton;
