import React from 'react';
import filepicker from 'filepicker-js';
import { Entity } from 'draft-js';
import ButtonGroup from './ButtonGroup';
import IconButton from './IconButton';

class ImageControls extends React.Component {
  constructor(props) {
    super(props);
  }

  addImage() {
    const { insertMedia, filePickerKey } = this.props;
    filepicker.setKey(filePickerKey);
    filepicker.pickAndStore(
      {
        mimetype: 'image/*',
        multiple: false
      },
      {},
      function (Blobs) {
        const entityKey = Entity.create('IMAGE', 'IMMUTABLE', { src: Blobs[ 0 ].url });
        insertMedia(entityKey);
      }
    );
  }

  render() {
    return (
      <ButtonGroup>
        <IconButton
          onToggle={this.addImage.bind(this)}
          icon="camera"
        />
      </ButtonGroup>
    );
  }
}

export default ImageControls;
