import React from 'react';
import ButtonGroup from './ButtonGroup';
import IconButton from './IconButton';

const InlineStyleControls = ({ editorState, onToggle, inlineStyles }) => (
  <ButtonGroup>
    {inlineStyles.map(type =>
      <IconButton
        key={type.icon}
        active={editorState.getCurrentInlineStyle().has(type.style)}
        icon={type.icon}
        onToggle={onToggle}
        style={type.style}
      />
    )}
  </ButtonGroup>
);

export default InlineStyleControls;
